Subject: Re: [lojban] xo'a

From: Pierre Abbat <[email-masked]>
Date: Sun, 1 Dec 2002 14:24:52 -0500

On Sunday 01 December 2002 14:08, And Rosta wrote:
> pier:
> > Adding {xo'a ... hoa} to the grammar would require adding the entire
> > Loglan grammar to the Lojban one, and more besides, since the toggle
> > could occur in a variety of places in a sentence and we would have to
> > figure out what happens to grouping rules, terminators, etc. when
> > switching languages in the middle of a tanru. If we can't even publish a
> > list of corresponding cmavo, there's no way we can add {xo'a}
>
> i had assumed that the parser would simply switch off when it hits xo'a
> and switch on again when it hits hoa. Was that assumption wrong?

How would you handle the following?:

.i la djig. cusku lu doi talen xo'a nu jimta lu .i le vi po jimta hoa pu 
spaji la talen.

The languages are close enough that you can intermix them, but different 
enough that this causes problems. A Romance example (since I know very little 
Loglan): Ele enviou-me uma mensagem, que j'ai lue. Should the last word be 
"lu"? The word "message" is masculine in French.

mu'omi'e pier.